Index: misc/fast_floor.cpp
===================================================================
--- misc/fast_floor.cpp	(révision 520)
+++ misc/fast_floor.cpp	(copie de travail)
@@ -22,9 +22,8 @@
  */
 
 #include "stdmisc.h"
-
-#include "nel/misc/fast_floor.h"
 #include <cmath>
+#include "nel/misc/fast_floor.h"
 
 namespace NLMISC {
 
Index: misc/plane.cpp
===================================================================
--- misc/plane.cpp	(révision 520)
+++ misc/plane.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/plane.h"
 #include "nel/misc/uv.h"
 
Index: misc/system_info.cpp
===================================================================
--- misc/system_info.cpp	(révision 520)
+++ misc/system_info.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #ifdef NL_OS_WINDOWS
 #	define NOMINMAX
 #	include <windows.h>
@@ -35,7 +34,6 @@
 #	include <unistd.h>
 #	include <cerrno>
 #endif // NL_OS_WINDOWS
-
 #include "nel/misc/system_info.h"
 #include "nel/misc/command.h"
 #include "nel/misc/variable.h"
Index: misc/big_file.cpp
===================================================================
--- misc/big_file.cpp	(révision 520)
+++ misc/big_file.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/big_file.h"
 #include "nel/misc/path.h"
 
Index: misc/cpu_time_stat.cpp
===================================================================
--- misc/cpu_time_stat.cpp	(révision 520)
+++ misc/cpu_time_stat.cpp	(copie de travail)
@@ -24,20 +24,16 @@
  */
 
 #include "stdmisc.h"
-#include "nel/misc/cpu_time_stat.h"
-
-#include <nel/misc/common.h>
-
 #include <string>
 #include <vector>
-
 #include <cstdio>
-
 #ifdef NL_OS_UNIX
 #include <unistd.h>
 #else
 #include <process.h>
 #endif
+#include "nel/misc/cpu_time_stat.h"
+#include <nel/misc/common.h>
 
 using namespace std;
 
Index: misc/events.cpp
===================================================================
--- misc/events.cpp	(révision 520)
+++ misc/events.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/events.h"
 #include "nel/misc/string_conversion.h"
 
Index: misc/di_game_device.cpp
===================================================================
--- misc/di_game_device.cpp	(révision 520)
+++ misc/di_game_device.cpp	(copie de travail)
@@ -23,11 +23,11 @@
 
 
 #include "stdmisc.h"
-#include "di_game_device.h"
-#include "nel/misc/game_device_events.h"
 #include <cstddef>
 #include <memory>
 #include <algorithm>
+#include "di_game_device.h"
+#include "nel/misc/game_device_events.h"
 
 #ifdef NL_OS_WINDOWS
 
Index: misc/vectord.cpp
===================================================================
--- misc/vectord.cpp	(révision 520)
+++ misc/vectord.cpp	(copie de travail)
@@ -22,10 +22,9 @@
  */
 
 #include "stdmisc.h"
+#include "nel/misc/vectord.h"
 
-#include	"../../include/nel/misc/vectord.h"
 
-
 namespace	NLMISC
 {
 
Index: misc/event_server.cpp
===================================================================
--- misc/event_server.cpp	(révision 520)
+++ misc/event_server.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/event_server.h"
 #include "nel/misc/event_listener.h"
 #include "nel/misc/event_emitter.h"
Index: misc/stl_block_list.cpp
===================================================================
--- misc/stl_block_list.cpp	(révision 520)
+++ misc/stl_block_list.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/stl_block_list.h"
 
 // remove stupid VC6 warnings
Index: misc/win_displayer.cpp
===================================================================
--- misc/win_displayer.cpp	(révision 520)
+++ misc/win_displayer.cpp	(copie de travail)
@@ -22,16 +22,13 @@
  */
 
 #include "stdmisc.h"
-
 #ifdef NL_OS_WINDOWS
-
 #include <iostream>
 #include <fstream>
 //#include <sstream>
 #include <iomanip>
 #include <csignal>
 #include <cstring>
-
 #define NOMINMAX
 #include <windows.h>
 #include <windowsx.h>
@@ -41,12 +38,10 @@
 #include <richedit.h>
 #include <commctrl.h>
 #include <ctime>
-
 #include "nel/misc/path.h"
 #include "nel/misc/command.h"
 #include "nel/misc/thread.h"
 #include "nel/misc/ucstring.h"
-
 #include "nel/misc/win_displayer.h"
 
 using namespace std;
Index: misc/bitmap.cpp
===================================================================
--- misc/bitmap.cpp	(révision 520)
+++ misc/bitmap.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include <memory>
 #include <algorithm>
 #include "nel/misc/bitmap.h"
Index: misc/stl_block_allocator.cpp
===================================================================
--- misc/stl_block_allocator.cpp	(révision 520)
+++ misc/stl_block_allocator.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/stl_block_allocator.h"
 
 // remove stupid VC6 warnings
Index: misc/hierarchical_timer.cpp
===================================================================
--- misc/hierarchical_timer.cpp	(révision 520)
+++ misc/hierarchical_timer.cpp	(copie de travail)
@@ -22,19 +22,16 @@
  */
 
 #include "stdmisc.h"
-
+#include <map>
 #include "nel/misc/hierarchical_timer.h"
 #include "nel/misc/common.h"
 #include "nel/misc/debug.h"
 #include "nel/misc/command.h"
 #include "nel/misc/system_info.h"
-
 #ifdef NL_CPU_INTEL
 #include "nel/misc/time_nl.h"
 #endif
 
-#include <map>
-
 namespace NLMISC
 {
 
Index: misc/bitmap_png.cpp
===================================================================
--- misc/bitmap_png.cpp	(révision 520)
+++ misc/bitmap_png.cpp	(copie de travail)
@@ -22,16 +22,12 @@
  */
 
 #include "stdmisc.h"
-
-#include "nel/misc/bitmap.h"
-
-// Currently this class supports Windows only
-#ifdef NL_OS_WINDOWS
-
+#ifdef NL_OS_WINDOWS	// Currently this class supports Windows only
+#include <csetjmp>
 #include "nel/misc/stream.h"
 #include "nel/misc/file.h"
 #include "nel/misc/dynloadlib.h"
-#include <csetjmp>
+#include "nel/misc/bitmap.h"
 
 using namespace std;
 
Index: misc/log.cpp
===================================================================
--- misc/log.cpp	(révision 520)
+++ misc/log.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #ifdef NL_OS_WINDOWS
 #	define NOMINMAX
 #	include <process.h>
@@ -30,10 +29,8 @@
 #else
 #	include <unistd.h>
 #endif
-
 #include <ctime>
 #include <cstdarg>
-
 #include "nel/misc/displayer.h"
 #include "nel/misc/log.h"
 #include "nel/misc/debug.h"
Index: misc/win_thread.cpp
===================================================================
--- misc/win_thread.cpp	(révision 520)
+++ misc/win_thread.cpp	(copie de travail)
@@ -22,15 +22,12 @@
  */
 
 #include "stdmisc.h"
-
 #ifdef NL_OS_WINDOWS
-
-#include "nel/misc/win_thread.h"
-#include "nel/misc/path.h"
 #define NOMINMAX
 #include <windows.h>
-
 #include <typeinfo>
+#include "nel/misc/win_thread.h"
+#include "nel/misc/path.h"
 
 namespace NLMISC {
 
Index: misc/di_event_emitter.cpp
===================================================================
--- misc/di_event_emitter.cpp	(révision 520)
+++ misc/di_event_emitter.cpp	(copie de travail)
@@ -23,17 +23,14 @@
 
 
 #include "stdmisc.h"
-
-#include "nel/misc/di_event_emitter.h"
-#include "nel/misc/events.h"
-#include "nel/misc/win_event_emitter.h"
-//
+#include <memory>
+#include <algorithm>
 #include "di_mouse_device.h"
 #include "di_keyboard_device.h"
 #include "di_game_device.h"
-//
-#include <memory>
-#include <algorithm>
+#include "nel/misc/di_event_emitter.h"
+#include "nel/misc/events.h"
+#include "nel/misc/win_event_emitter.h"
 
 #ifdef NL_OS_WINDOWS
 
Index: misc/p_thread.cpp
===================================================================
--- misc/p_thread.cpp	(révision 520)
+++ misc/p_thread.cpp	(copie de travail)
@@ -23,9 +23,7 @@
 
 
 #include "stdmisc.h"
-
 #ifdef NL_OS_UNIX
-
 #include "nel/misc/p_thread.h"
 
 
Index: misc/line.cpp
===================================================================
--- misc/line.cpp	(révision 520)
+++ misc/line.cpp	(copie de travail)
@@ -22,9 +22,8 @@
  */
 
 #include "stdmisc.h"
-
-#include "nel/misc/line.h"
 #include <limits>
+#include "nel/misc/line.h"
 
 namespace NLMISC
 {
Index: misc/fast_mem.cpp
===================================================================
--- misc/fast_mem.cpp	(révision 520)
+++ misc/fast_mem.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/fast_mem.h"
 #include "nel/misc/system_info.h"
 
Index: misc/sha1.cpp
===================================================================
--- misc/sha1.cpp	(révision 520)
+++ misc/sha1.cpp	(copie de travail)
@@ -50,13 +50,11 @@
 //
 
 #include "stdmisc.h"
-
 #include <cstdio>
 #include <cstring>
 #include <string>
 #include <map>
 #include <vector>
-
 #include "nel/misc/sha1.h"
 #include "nel/misc/file.h"
 #include "nel/misc/path.h"
Index: misc/aabbox.cpp
===================================================================
--- misc/aabbox.cpp	(révision 520)
+++ misc/aabbox.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/aabbox.h"
 #include "nel/misc/polygon.h"
 #include "nel/misc/bsphere.h"
Index: misc/displayer.cpp
===================================================================
--- misc/displayer.cpp	(révision 520)
+++ misc/displayer.cpp	(copie de travail)
@@ -22,46 +22,38 @@
  */
 
 #include "stdmisc.h"
-
-
 #ifdef NL_OS_WINDOWS
 #	include <io.h>
 #	include <fcntl.h>
 #	include <sys/types.h>
 #	include <sys/stat.h>
+#	include <windows.h>
 #else
 #	include <cerrno>
 #endif // NL_OS_WINDOWS
-
 #include <cstdio>
 #include <cstdlib>
 #include <ctime>
-
 #include <iostream>
 #include <fstream>
 //#include <sstream>
 #include <iomanip>
-
 #include "nel/misc/path.h"
 #include "nel/misc/mutex.h"
 #include "nel/misc/report.h"
-
 #include "nel/misc/debug.h"
+#include "nel/misc/displayer.h"
 
-
 #ifdef NL_OS_WINDOWS
 // these defines is for IsDebuggerPresent(). it'll not compile on windows 95
 // just comment this and the IsDebuggerPresent to compile on windows 95
 #	define _WIN32_WINDOWS	0x0410
 #	define WINVER			0x0400
 #	define NOMINMAX
-#	include <windows.h>
 #else
 #	define IsDebuggerPresent() false
 #endif
 
-#include "nel/misc/displayer.h"
-
 using namespace std;
 
 namespace NLMISC
Index: misc/shared_memory.cpp
===================================================================
--- misc/shared_memory.cpp	(révision 520)
+++ misc/shared_memory.cpp	(copie de travail)
@@ -22,8 +22,6 @@
  */
 
 #include "stdmisc.h"
-#include "nel/misc/shared_memory.h"
-
 #ifdef NL_OS_WINDOWS
 #	define NOMINMAX
 #	include <windows.h>
@@ -32,6 +30,7 @@
 #	include <sys/ipc.h>
 #	include <sys/shm.h>
 #endif
+#include "nel/misc/shared_memory.h"
 
 using namespace std;
 
Index: misc/xml_pack.cpp
===================================================================
--- misc/xml_pack.cpp	(révision 520)
+++ misc/xml_pack.cpp	(copie de travail)
@@ -1,11 +1,10 @@
 /** Hop */
 
 #include "stdmisc.h"
+#include <cstdio>
 #include "nel/misc/xml_pack.h"
 #include "nel/misc/file.h"
 
-#include <cstdio>
-
 using namespace std;
 
 
Index: misc/mutex.cpp
===================================================================
--- misc/mutex.cpp	(révision 520)
+++ misc/mutex.cpp	(copie de travail)
@@ -22,17 +22,14 @@
  */
 
 #include "stdmisc.h"
-
 #ifndef _GNU_SOURCE
 #define _GNU_SOURCE
 #endif // _GNU_SOURCE
-
-#include "nel/misc/mutex.h"
-#include "nel/misc/time_nl.h"
-
 #ifdef MUTEX_DEBUG
 #include <iostream>
 #endif
+#include "nel/misc/mutex.h"
+#include "nel/misc/time_nl.h"
 
 using namespace std;
 
Index: misc/di_game_device.h
===================================================================
--- misc/di_game_device.h	(révision 520)
+++ misc/di_game_device.h	(copie de travail)
@@ -25,9 +25,7 @@
 #define NL_DI_GAME_DEVICE_H
 
 #include "nel/misc/types_nl.h"
-
 #ifdef NL_OS_WINDOWS
-
 #include "nel/misc/di_event_emitter.h"
 #include "nel/misc/game_device.h"
 
Index: misc/noise_value.cpp
===================================================================
--- misc/noise_value.cpp	(révision 520)
+++ misc/noise_value.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/noise_value.h"
 #include "nel/misc/fast_floor.h"
 
Index: misc/vector_h.cpp
===================================================================
--- misc/vector_h.cpp	(révision 520)
+++ misc/vector_h.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/vector_h.h"
 
 
Index: misc/eid_translator.cpp
===================================================================
--- misc/eid_translator.cpp	(révision 520)
+++ misc/eid_translator.cpp	(copie de travail)
@@ -26,11 +26,9 @@
 //
 
 #include "stdmisc.h"
-
 #include <string>
 #include <vector>
 #include <map>
-
 #include "nel/misc/algo.h"
 #include "nel/misc/file.h"
 #include "nel/misc/path.h"
Index: misc/string_mapper.cpp
===================================================================
--- misc/string_mapper.cpp	(révision 520)
+++ misc/string_mapper.cpp	(copie de travail)
@@ -26,9 +26,7 @@
  */
 
 #include "stdmisc.h"
-
 #include <map>
-
 #include "nel/misc/string_mapper.h"
 
 using namespace std;
Index: misc/inter_window_msg_queue.cpp
===================================================================
--- misc/inter_window_msg_queue.cpp	(révision 520)
+++ misc/inter_window_msg_queue.cpp	(copie de travail)
@@ -1,9 +1,7 @@
 
 #include "stdmisc.h"
-
 #ifdef NL_OS_WINDOWS
 #include "nel/misc/inter_window_msg_queue.h"
-//
 #include "nel/misc/mem_stream.h"
 #include "nel/misc/shared_memory.h"
 
Index: misc/words_dictionary.cpp
===================================================================
--- misc/words_dictionary.cpp	(révision 520)
+++ misc/words_dictionary.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/words_dictionary.h"
 #include "nel/misc/config_file.h"
 #include "nel/misc/path.h"
Index: misc/md5.cpp
===================================================================
--- misc/md5.cpp	(révision 520)
+++ misc/md5.cpp	(copie de travail)
@@ -48,9 +48,7 @@
 */
 
 #include "stdmisc.h"
-
 #include "nel/misc/md5.h"
-
 #include "nel/misc/types_nl.h"
 #include "nel/misc/debug.h"
 #include "nel/misc/file.h"
Index: misc/win_event_emitter.cpp
===================================================================
--- misc/win_event_emitter.cpp	(révision 520)
+++ misc/win_event_emitter.cpp	(copie de travail)
@@ -22,17 +22,15 @@
  */
 
 #include "stdmisc.h"
-
+#ifdef NL_OS_WINDOWS
+#define NOMINMAX
+#include <windows.h>
+#include <windowsx.h>
 #include "nel/misc/events.h"
 #include "nel/misc/event_emitter.h"
 #include "nel/misc/win_event_emitter.h"
 #include "nel/misc/event_server.h"
 
-#ifdef NL_OS_WINDOWS
-#define NOMINMAX
-#include <windows.h>
-#include <windowsx.h>
-
 /**
   * Needed for definition of WM_MOUSEWHEEL. It should be in winuser.h
   * but not under win98.. strange..
Index: misc/bsphere.cpp
===================================================================
--- misc/bsphere.cpp	(révision 520)
+++ misc/bsphere.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/bsphere.h"
 
 using namespace	NLMISC;
Index: misc/object_vector.cpp
===================================================================
--- misc/object_vector.cpp	(révision 520)
+++ misc/object_vector.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/object_vector.h"
 
 // leave not static else this workaround don't work
Index: misc/mem_displayer.cpp
===================================================================
--- misc/mem_displayer.cpp	(révision 520)
+++ misc/mem_displayer.cpp	(copie de travail)
@@ -22,28 +22,23 @@
  */
 
 #include "stdmisc.h"
-
-#include "nel/misc/types_nl.h"
-
 #include <cstdio>
-
 #include <iostream>
 #include <fstream>
 //#include <sstream>
 #include <iomanip>
 #include <string>
-
-#include "nel/misc/mem_displayer.h"
-#include "nel/misc/path.h"
-#include "nel/misc/command.h"
-#include "nel/misc/debug.h"
-
 #ifdef NL_OS_WINDOWS
 #	define NOMINMAX
 #	include <windows.h>
 #	include <imagehlp.h>
 #	pragma comment(lib, "imagehlp.lib")
 #endif // NL_OS_WINDOWS
+#include "nel/misc/types_nl.h"
+#include "nel/misc/mem_displayer.h"
+#include "nel/misc/path.h"
+#include "nel/misc/command.h"
+#include "nel/misc/debug.h"
 
 using namespace std;
 
Index: misc/tds.cpp
===================================================================
--- misc/tds.cpp	(révision 520)
+++ misc/tds.cpp	(copie de travail)
@@ -22,13 +22,11 @@
  */
 
 #include "stdmisc.h"
-
-#include "nel/misc/tds.h"
-
 #ifdef NL_OS_WINDOWS
 #	define NOMINMAX
 #	include <windows.h>
 #endif // NL_OS_WINDOWS
+#include "nel/misc/tds.h"
 
 namespace NLMISC
 {
Index: misc/task_manager.cpp
===================================================================
--- misc/task_manager.cpp	(révision 520)
+++ misc/task_manager.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/task_manager.h"
 #include "nel/misc/big_file.h"
 
Index: misc/vector.cpp
===================================================================
--- misc/vector.cpp	(révision 520)
+++ misc/vector.cpp	(copie de travail)
@@ -22,9 +22,8 @@
  */
 
 #include "stdmisc.h"
+#include "nel/misc/vector.h"
 
-#include	"../../include/nel/misc/vector.h"
-
 using namespace std;
 
 
Index: misc/matrix.cpp
===================================================================
--- misc/matrix.cpp	(révision 520)
+++ misc/matrix.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/matrix.h"
 #include "nel/misc/plane.h"
 #include "nel/misc/debug.h"
Index: misc/i_xml.cpp
===================================================================
--- misc/i_xml.cpp	(révision 520)
+++ misc/i_xml.cpp	(copie de travail)
@@ -22,15 +22,11 @@
  */
 
 #include "stdmisc.h"
-
+#ifndef NL_DONT_USE_EXTERNAL_CODE
+#include <libxml/xmlerror.h>		// Include from libxml2
 #include "nel/misc/i_xml.h"
 #include "nel/misc/sstring.h"
 
-#ifndef NL_DONT_USE_EXTERNAL_CODE
-
-// Include from libxml2
-#include <libxml/xmlerror.h>
-
 using namespace std;
 
 #define NLMISC_READ_BUFFER_SIZE 1024
Index: misc/report.cpp
===================================================================
--- misc/report.cpp	(révision 520)
+++ misc/report.cpp	(copie de travail)
@@ -23,20 +23,17 @@
  */
 
 #include "stdmisc.h"
-
 #include <cstdio>
 #include <cstdlib>
-#include "nel/misc/common.h"
-#include "nel/misc/ucstring.h"
-
-#include "nel/misc/report.h"
-
 #ifdef NL_OS_WINDOWS
 #	define NOMINMAX
 #	include <windows.h>
 #	include <windowsx.h>
 #	include <winuser.h>
 #endif // NL_OS_WINDOWS
+#include "nel/misc/common.h"
+#include "nel/misc/ucstring.h"
+#include "nel/misc/report.h"
 
 using namespace std;
 
Index: misc/rgba.cpp
===================================================================
--- misc/rgba.cpp	(révision 520)
+++ misc/rgba.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/rgba.h"
 #include "nel/misc/stream.h"
 #include "nel/misc/system_info.h"
Index: misc/smart_ptr.cpp
===================================================================
--- misc/smart_ptr.cpp	(révision 520)
+++ misc/smart_ptr.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/smart_ptr.h"
 
 
Index: misc/stdmisc.h
===================================================================
--- misc/stdmisc.h	(révision 520)
+++ misc/stdmisc.h	(copie de travail)
@@ -1,6 +1,4 @@
 
-#include "nel/misc/types_nl.h"
-
 #include <map>
 #include <set>
 #include <list>
@@ -13,7 +11,7 @@
 #include <utility>
 #include <algorithm>
 #include <exception>
-
+#include "nel/misc/types_nl.h"
 #include "nel/misc/debug.h"
 #include "nel/misc/common.h"
 #include "nel/misc/fast_mem.h"
Index: misc/stop_watch.cpp
===================================================================
--- misc/stop_watch.cpp	(révision 520)
+++ misc/stop_watch.cpp	(copie de travail)
@@ -22,9 +22,8 @@
  */
 
 #include "stdmisc.h"
-
-#include "nel/misc/stop_watch.h"
 #include <numeric>
+#include "nel/misc/stop_watch.h"
 
 using namespace std;
 
Index: misc/command.cpp
===================================================================
--- misc/command.cpp	(révision 520)
+++ misc/command.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/command.h"
 #include "nel/misc/algo.h"
 
Index: misc/o_xml.cpp
===================================================================
--- misc/o_xml.cpp	(révision 520)
+++ misc/o_xml.cpp	(copie de travail)
@@ -22,14 +22,10 @@
  */
 
 #include "stdmisc.h"
-
+#ifndef NL_DONT_USE_EXTERNAL_CODE
+#include <libxml/xmlerror.h>		// Include from libxml2
 #include "nel/misc/o_xml.h"
 
-#ifndef NL_DONT_USE_EXTERNAL_CODE
-
-// Include from libxml2
-#include <libxml/xmlerror.h>
-
 using namespace std;
 
 namespace NLMISC
Index: misc/string_common.cpp
===================================================================
--- misc/string_common.cpp	(révision 520)
+++ misc/string_common.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/string_common.h"
 
 using namespace std;
Index: misc/i18n.cpp
===================================================================
--- misc/i18n.cpp	(révision 520)
+++ misc/i18n.cpp	(copie de travail)
@@ -25,7 +25,6 @@
 
 
 #include "stdmisc.h"
-
 #include "nel/misc/path.h"
 #include "nel/misc/i18n.h"
 
Index: misc/string_id_array.cpp
===================================================================
--- misc/string_id_array.cpp	(révision 520)
+++ misc/string_id_array.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/string_id_array.h"
 
 
Index: misc/dynloadlib.cpp
===================================================================
--- misc/dynloadlib.cpp	(révision 520)
+++ misc/dynloadlib.cpp	(copie de travail)
@@ -23,7 +23,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/dynloadlib.h"
 #include "nel/misc/path.h"
 
Index: misc/algo.cpp
===================================================================
--- misc/algo.cpp	(révision 520)
+++ misc/algo.cpp	(copie de travail)
@@ -22,9 +22,8 @@
  */
 
 #include "stdmisc.h"
-
-#include "nel/misc/algo.h"
 #include <string>
+#include "nel/misc/algo.h"
 
 
 using	namespace std;
Index: misc/sheet_id.cpp
===================================================================
--- misc/sheet_id.cpp	(révision 520)
+++ misc/sheet_id.cpp	(copie de travail)
@@ -26,10 +26,8 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/file.h"
 #include "nel/misc/path.h"
-
 #include "nel/misc/sheet_id.h"
 #include "nel/misc/common.h"
 #include "nel/misc/hierarchical_timer.h"
Index: misc/variable.cpp
===================================================================
--- misc/variable.cpp	(révision 520)
+++ misc/variable.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/variable.h"
 
 using namespace std;
Index: misc/check_fpu.cpp
===================================================================
--- misc/check_fpu.cpp	(révision 520)
+++ misc/check_fpu.cpp	(copie de travail)
@@ -22,9 +22,7 @@
  */
 
 #include "stdmisc.h"
-
 #ifdef NL_OS_WINDOWS
-
 #include "nel/misc/check_fpu.h"
 #include "nel/misc/fast_floor.h"
 
Index: misc/polygon.cpp
===================================================================
--- misc/polygon.cpp	(révision 520)
+++ misc/polygon.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/polygon.h"
 #include "nel/misc/plane.h"
 #include "nel/misc/triangle.h"
Index: misc/time_nl.cpp
===================================================================
--- misc/time_nl.cpp	(révision 520)
+++ misc/time_nl.cpp	(copie de travail)
@@ -22,9 +22,7 @@
  */
 
 #include "stdmisc.h"
-
 #include <ctime>
-
 #ifdef NL_OS_WINDOWS
 #	define NOMINMAX
 #	include <windows.h>
@@ -32,12 +30,10 @@
 #	include <sys/time.h>
 #	include <unistd.h>
 #endif
-
 #ifdef NL_OS_MAC
 #include <mach/mach.h>
 #include <mach/mach_time.h>
 #endif
-
 #include "nel/misc/time_nl.h"
 #include "nel/misc/sstring.h"
 
Index: misc/vector_2d.cpp
===================================================================
--- misc/vector_2d.cpp	(révision 520)
+++ misc/vector_2d.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/vector_2d.h"
 
 
Index: misc/entity_id.cpp
===================================================================
--- misc/entity_id.cpp	(révision 520)
+++ misc/entity_id.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/entity_id.h"
 
 using namespace std;
Index: misc/di_mouse_device.h
===================================================================
--- misc/di_mouse_device.h	(révision 520)
+++ misc/di_mouse_device.h	(copie de travail)
@@ -25,15 +25,12 @@
 #define NL_DI_MOUSE_DEVICE_H
 
 #include "nel/misc/types_nl.h"
-
 #ifdef NL_OS_WINDOWS
-
-
+#include <dinput.h>
 #include "nel/misc/rect.h"
 #include "nel/misc/di_event_emitter.h"
 #include "nel/misc/input_device_server.h"
 #include "nel/misc/mouse_device.h"
-#include <dinput.h>
 
 
 namespace NLMISC
Index: misc/common.cpp
===================================================================
--- misc/common.cpp	(révision 520)
+++ misc/common.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #ifdef NL_OS_WINDOWS
 #	define NOMINMAX
 #	include <windows.h>
@@ -36,7 +35,6 @@
 #	include <pthread.h>
 #	include <sched.h>
 #endif
-
 #include "nel/misc/command.h"
 #include "nel/misc/path.h"
 
Index: misc/mem_stream.cpp
===================================================================
--- misc/mem_stream.cpp	(révision 520)
+++ misc/mem_stream.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/mem_stream.h"
 
 namespace NLMISC
Index: misc/vector_2f.cpp
===================================================================
--- misc/vector_2f.cpp	(révision 520)
+++ misc/vector_2f.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/vector_2f.h"
 
 
Index: misc/quad.cpp
===================================================================
--- misc/quad.cpp	(révision 520)
+++ misc/quad.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/quad.h"
 
 
Index: misc/path.cpp
===================================================================
--- misc/path.cpp	(révision 520)
+++ misc/path.cpp	(copie de travail)
@@ -23,16 +23,7 @@
 
 
 #include "stdmisc.h"
-
 #include <fstream>
-
-#include "nel/misc/big_file.h"
-#include "nel/misc/path.h"
-#include "nel/misc/hierarchical_timer.h"
-#include "nel/misc/progress_callback.h"
-#include "nel/misc/file.h"
-#include "nel/misc/xml_pack.h"
-
 #ifdef NL_OS_WINDOWS
 #	define NOMINMAX
 #	include <windows.h>
@@ -53,6 +44,12 @@
 #   include <sys/types.h>
 #   include <utime.h>
 #endif // NL_OS_WINDOWS
+#include "nel/misc/big_file.h"
+#include "nel/misc/path.h"
+#include "nel/misc/hierarchical_timer.h"
+#include "nel/misc/progress_callback.h"
+#include "nel/misc/file.h"
+#include "nel/misc/xml_pack.h"
 
 using namespace std;
 
Index: misc/value_smoother.cpp
===================================================================
--- misc/value_smoother.cpp	(révision 520)
+++ misc/value_smoother.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/value_smoother.h"
 
 // remove stupid VC6 warnings
Index: misc/reader_writer.cpp
===================================================================
--- misc/reader_writer.cpp	(révision 520)
+++ misc/reader_writer.cpp	(copie de travail)
@@ -21,7 +21,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/reader_writer.h"
 
 
Index: misc/di_keyboard_device.h
===================================================================
--- misc/di_keyboard_device.h	(révision 520)
+++ misc/di_keyboard_device.h	(copie de travail)
@@ -25,9 +25,7 @@
 #define NL_DI_KEYBOARD_H
 
 #include "nel/misc/types_nl.h"
-
 #ifdef NL_OS_WINDOWS
-
 #include "nel/misc/input_device_server.h"
 #include "nel/misc/keyboard_device.h"
 #include "nel/misc/di_event_emitter.h"
Index: misc/gtk_displayer.cpp
===================================================================
--- misc/gtk_displayer.cpp	(révision 520)
+++ misc/gtk_displayer.cpp	(copie de travail)
@@ -25,11 +25,14 @@
 
 #ifdef NL_USE_GTK
 
+#include <iostream>
+#include <fstream>
+#include <iomanip>
+#include <csignal>
 #include <gtk/gtk.h>
 #include <gdk/gdk.h>
 //#include <gobject/gobject.h>
 #include <gdk/gdkkeysyms.h>
-
 #ifdef NL_OS_WINDOWS
 // automatically add gtk library
 #pragma comment(lib, "gtk-1.3.lib")
@@ -37,16 +40,9 @@
 #pragma comment(lib, "glib-1.3.lib")
 #pragma comment(lib, "gthread-1.3.lib")
 #endif
-
-#include <iostream>
-#include <fstream>
-#include <iomanip>
-#include <csignal>
-
 #include "nel/misc/path.h"
 #include "nel/misc/command.h"
 #include "nel/misc/thread.h"
-
 #include "nel/misc/gtk_displayer.h"
 
 using namespace std;
Index: misc/eval_num_expr.cpp
===================================================================
--- misc/eval_num_expr.cpp	(révision 520)
+++ misc/eval_num_expr.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/eval_num_expr.h"
 
 namespace NLMISC
Index: misc/heap_memory.cpp
===================================================================
--- misc/heap_memory.cpp	(révision 520)
+++ misc/heap_memory.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/heap_memory.h"
 
 using namespace std;
Index: misc/diff_tool.cpp
===================================================================
--- misc/diff_tool.cpp	(révision 520)
+++ misc/diff_tool.cpp	(copie de travail)
@@ -21,7 +21,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/diff_tool.h"
 #include "nel/misc/path.h"
 
Index: misc/triangle.cpp
===================================================================
--- misc/triangle.cpp	(révision 520)
+++ misc/triangle.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/triangle.h"
 #include "nel/misc/plane.h"
 #include "nel/misc/matrix.h"
Index: misc/geom_ext.cpp
===================================================================
--- misc/geom_ext.cpp	(révision 520)
+++ misc/geom_ext.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/geom_ext.h"
 
 
Index: misc/quat.cpp
===================================================================
--- misc/quat.cpp	(révision 520)
+++ misc/quat.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/quat.h"
 
 
Index: misc/class_id.cpp
===================================================================
--- misc/class_id.cpp	(révision 520)
+++ misc/class_id.cpp	(copie de travail)
@@ -22,18 +22,11 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/class_id.h"
 
 
-
-
 namespace	NLMISC
 {
-
-
 const	CClassId	CClassId::Null(0);
-
-
 }
 
Index: misc/block_memory.cpp
===================================================================
--- misc/block_memory.cpp	(révision 520)
+++ misc/block_memory.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/block_memory.h"
 
 // remove stupid VC6 warnings
Index: misc/config_file/config_file.cpp
===================================================================
--- misc/config_file/config_file.cpp	(révision 520)
+++ misc/config_file/config_file.cpp	(copie de travail)
@@ -21,12 +21,10 @@
  * MA 02111-1307, USA.
  */
 
-#include "nel/misc/config_file.h"
-
 #include <ctime>
 #include <sys/types.h>
 #include <sys/stat.h>
-
+#include "nel/misc/config_file.h"
 #include "nel/misc/file.h"
 #include "nel/misc/debug.h"
 #include "nel/misc/path.h"
Index: misc/di_mouse_device.cpp
===================================================================
--- misc/di_mouse_device.cpp	(révision 520)
+++ misc/di_mouse_device.cpp	(copie de travail)
@@ -22,7 +22,8 @@
  */
 
 #include "stdmisc.h"
-
+#include <memory>
+#include <algorithm>
 #include "di_mouse_device.h"
 #include "nel/misc/game_device_events.h"
 #include "nel/misc/win_event_emitter.h"
@@ -30,12 +31,9 @@
 
 #ifdef NL_OS_WINDOWS
 
-#include <memory>
-#include <algorithm>
 
 
 
-
 namespace NLMISC
 {
 
Index: misc/window_displayer.cpp
===================================================================
--- misc/window_displayer.cpp	(révision 520)
+++ misc/window_displayer.cpp	(copie de travail)
@@ -23,16 +23,13 @@
  */
 
 #include "stdmisc.h"
-
 #include <iostream>
 #include <fstream>
 #include <iomanip>
 #include <csignal>
-
 #include "nel/misc/path.h"
 #include "nel/misc/command.h"
 #include "nel/misc/thread.h"
-
 #include "nel/misc/window_displayer.h"
 
 using namespace std;
Index: misc/event_listener.cpp
===================================================================
--- misc/event_listener.cpp	(révision 520)
+++ misc/event_listener.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/event_listener.h"
 #include "nel/misc/event_server.h"
 #include "nel/misc/events.h"
Index: misc/debug.cpp
===================================================================
--- misc/debug.cpp	(révision 520)
+++ misc/debug.cpp	(copie de travail)
@@ -22,19 +22,6 @@
  */
 
 #include "stdmisc.h"
-
-#ifdef HAVE_NELCONFIG_H
-#  include "nelconfig.h"
-#endif // HAVE_NELCONFIG_H
-
-#include "nel/misc/log.h"
-#include "nel/misc/displayer.h"
-#include "nel/misc/mem_displayer.h"
-#include "nel/misc/command.h"
-#include "nel/misc/report.h"
-#include "nel/misc/path.h"
-#include "nel/misc/variable.h"
-
 #ifdef NL_OS_WINDOWS
 #	define _WIN32_WINDOWS	0x0410
 #	define WINVER			0x0400
@@ -56,9 +43,18 @@
 //#	include <malloc.h>
 #	include <errno.h>
 #endif
-
 #include <cstdarg>
 #include <iostream>
+#include "nel/misc/log.h"
+#include "nel/misc/displayer.h"
+#include "nel/misc/mem_displayer.h"
+#include "nel/misc/command.h"
+#include "nel/misc/report.h"
+#include "nel/misc/path.h"
+#include "nel/misc/variable.h"
+#ifdef HAVE_NELCONFIG_H
+#  include "nelconfig.h"
+#endif // HAVE_NELCONFIG_H
 
 using namespace std;
 
Index: misc/bit_mem_stream.cpp
===================================================================
--- misc/bit_mem_stream.cpp	(révision 520)
+++ misc/bit_mem_stream.cpp	(copie de travail)
@@ -22,10 +22,8 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/bit_mem_stream.h"
 #include "nel/misc/bit_set.h"
-
 #ifdef LOG_ALL_TRAFFIC
 #include "nel/misc/command.h"
 #endif
Index: misc/bit_set.cpp
===================================================================
--- misc/bit_set.cpp	(révision 520)
+++ misc/bit_set.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/bit_set.h"
 
 using namespace std;
Index: misc/uv.cpp
===================================================================
--- misc/uv.cpp	(révision 520)
+++ misc/uv.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/uv.h"
 
 
Index: misc/di_keyboard_device.cpp
===================================================================
--- misc/di_keyboard_device.cpp	(révision 520)
+++ misc/di_keyboard_device.cpp	(copie de travail)
@@ -22,18 +22,14 @@
  */
 
 
-
 #include "stdmisc.h"
-#include "di_keyboard_device.h"
-
 #ifdef NL_OS_WINDOWS
-
-#include "nel/misc/win_event_emitter.h"
 #include <memory>
 #include <dinput.h>
 #include <Winuser.h>
-
 #include "Mmsystem.h"
+#include "di_keyboard_device.h"
+#include "nel/misc/win_event_emitter.h"
 
 namespace NLMISC
 {
Index: misc/stream.cpp
===================================================================
--- misc/stream.cpp	(révision 520)
+++ misc/stream.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/stream.h"
 #include "nel/misc/mem_stream.h"
 
Index: misc/class_registry.cpp
===================================================================
--- misc/class_registry.cpp	(révision 520)
+++ misc/class_registry.cpp	(copie de travail)
@@ -22,11 +22,9 @@
  */
 
 #include "stdmisc.h"
-
+#include <typeinfo>
 #include "nel/misc/class_registry.h"
 
-#include <typeinfo>
-
 using namespace std;
 
 namespace NLMISC
Index: misc/rect.cpp
===================================================================
--- misc/rect.cpp	(révision 520)
+++ misc/rect.cpp	(copie de travail)
@@ -22,7 +22,6 @@
  */
 
 #include "stdmisc.h"
-
 #include "nel/misc/rect.h"
 #include "nel/misc/vector_2f.h"
 
